﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.DesktopEdition;

namespace WindowsFormsApplication23
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            winformsMap1.MapUnit = GeographyUnit.DecimalDegree;
            //winformsMap1.CurrentExtent = new RectangleShape(-118.098, 84.3, 118.098, -84.3);
            winformsMap1.BackgroundOverlay.BackgroundBrush = new GeoSolidBrush(GeoColor.GeographicColors.ShallowOcean);

            ShapeFileFeatureLayer shpLayer = new ShapeFileFeatureLayer(@"..\..\SampleData\Data\TILES_5X5.shp");
            EcwRasterLayer ecwImageLayer = new EcwRasterLayer(@"..\..\SampleData\Data\World.ecw");
            ecwImageLayer.UpperThreshold = double.MaxValue;
            ecwImageLayer.LowerThreshold = 0;
            EcwRasterLayer ecwImageLayer1 = new EcwRasterLayer(@"..\..\SampleData\Data\England.ecw");
            ecwImageLayer1.UpperThreshold = double.MaxValue;
            ecwImageLayer1.LowerThreshold = 0;
            shpLayer.Open();
            RectangleShape rect = shpLayer.GetBoundingBox();
            shpLayer.Close();

            LayerOverlay imageOverlay = new LayerOverlay();
            imageOverlay.Layers.Add("EcwImageLayer", ecwImageLayer);
            imageOverlay.Layers.Add("EcwImageLayer1", ecwImageLayer1);
            winformsMap1.CurrentExtent = rect;
            winformsMap1.Overlays.Add(imageOverlay);

            winformsMap1.Refresh();
        }
    }
}
